/*
 * Created on 17.08.2004
 * Copyright (C) 2004 Sebastian Baltes (sebastian.baltes@gmx.de)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 */
package de.sbaltes.fractal;

/**
 * @author Sebastian Baltes
 */
public class Polar {
  public double w;
  public double r;
  public Polar() {
  }
  public Polar(double w, double r) {
    this.w=w;
    this.r=r;
  }
  public void setComplex(double cr, double ci) {
    w=0.5+Math.atan2(ci,cr)/Math.PI/2;
    r=Math.sqrt(cr*cr+ci*ci);    
  }
  public void setComplex(Complex c) {
    setComplex(c.r,c.i);
  }
}
